<?php
class Login {
  public $id, $username, $password, $remember_token, $remember_expiry;
  public function __construct($arr) {
    foreach ($arr as $k=>$v) $this->$k = $v;
  }
  static function findByUsername($username) {
    include "nyambung.php";
    $stmt = $pdo->prepare("SELECT * FROM login WHERE username=:user");
    $stmt->execute(["user"=>$username]);
    $baris = $stmt->fetch();
    if ($baris != null) return new Login($baris);
    return null;
  }
  public function login($expiry=0) {
    if ($expiry>0) {
      $token = hash('ripemd256',time());
      setcookie("login",$token,$expiry);
      $this->remember_token = $token;
      $this->remember_expiry = $expiry;
    } else {
      $this->remember_token = '';
      $this->remember_expiry = 0;
    }
    //update ke database
    include "nyambung.php";
    try {
      $sql = "UPDATE login SET remember_token=:token, remember_expiry=:expiry WHERE id=:id";
      $stmt = $pdo->prepare($sql);
      $stmt->bindParam("token",$this->remember_token);
      $stmt->bindParam("expiry",$this->remember_expiry);
      $stmt->bindParam("id",$this->id);
      $stmt->execute();
    } catch (Exception $ex) {
      echo $ex->getMessage();
      die();
    }
    $_SESSION['login'] = $this;
  }
  static function findByToken($rememberToken) {
    include "nyambung.php";
    $stmt = $pdo->prepare("SELECT * FROM login WHERE remember_token=:token");
    $stmt->execute(["token"=>$rememberToken]);
    $baris = $stmt->fetch();
    if ($baris != null) return new Login($baris);
    return null;
  }  
}